[Prev: OUTDIR] | [Resources][TOC] | [Next: POSIXSTRFTIME]

# PERLINC

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_PERLINC=`path1`:`path2`:`...`:`pathN

Element

  `<PERLINC>
  ` path1`:`path2`:`...
  pathi`:`...`:`pathN
  `</PERLINC>
  `

Command-line Option

  `-perlinc` path1`:`path2`:`...`:`pathN

## Description

PERLINC defines a list of paths to search for MIME filters. When setting the PERLINC resource, the filenames are separated by colons (or semicolons under MSDOS/Windows). Line-breaks can be used to separate filenames if setting PERLINC via the `PERLINC` element.

PERLINC augments the `@INC` array in Perl. The paths listed in PERLINC will be searched before the paths in `@INC`.

NOTE: | During the installation of MHonArc, the MHonArc library location gets prepended to `@INC`.

## Default Setting

Empty.

## Resource Variables

N/A

## Examples

When hooking in your own MIME filters, you may want to put all the source libraries in a single location for maintenance purposes. Therefore, you will need to define PERLINC similiar to the following:

    <PerlINC>
    /usr/local/lib/MHonArc/filters
    </PerlINC>

## Version

1.0

## See Also

MIMEFILTERS

[Prev: OUTDIR] | [Resources][TOC] | [Next: POSIXSTRFTIME]